Skip to content

# Interface: PageParamInit ‹V›

## Type parameters

▪ V

## Hierarchy

- PageParamInit

## Index

### Properties

- defaultValue
- defaultValueStringified
- multiValueSep
- multiValues
- name
- skipEmpty

### Methods

- parse
- stringify

## Properties

### `Optional` defaultValue

• defaultValue? : V

Defined in src/renderer/navigation/page-param.ts:6

### `Optional` defaultValueStringified

• defaultValueStringified? : string | string[]

Defined in src/renderer/navigation/page-param.ts:7

### `Optional` multiValueSep

• multiValueSep? : string

Defined in src/renderer/navigation/page-param.ts:9

### `Optional` multiValues

• multiValues? : boolean

Defined in src/renderer/navigation/page-param.ts:8

### name

• name: string

Defined in src/renderer/navigation/page-param.ts:5

### `Optional` skipEmpty

• skipEmpty? : boolean

Defined in src/renderer/navigation/page-param.ts:10

## Methods

### `Optional` parse

▸ parse(`value`: string[]): V

Defined in src/renderer/navigation/page-param.ts:11

Parameters:

Name | Type
--- | ---
`value` | string[]

Returns: V

### `Optional` stringify

▸ stringify(`value`: V): string | string[]

Defined in src/renderer/navigation/page-param.ts:12

Parameters:

Name | Type
--- | ---
`value` | V

Returns: string | string[]